<?php
/**
 * Theme Functions.
 */

add_action( 'wp_enqueue_scripts', 'perfect_blogging_enqueue_styles' );
	function perfect_blogging_enqueue_styles() {
    	$parent_style = 'perfect-blog-basic-style'; // Style handle of parent theme.
		wp_enqueue_style( $parent_style, esc_url(get_template_directory_uri()) . '/style.css' );
		wp_enqueue_style( 'perfect-blogging-basic-style', get_stylesheet_uri(), array( $parent_style ) );

		$perfect_blog_custom_css = '';

		$perfect_blog_show_header = get_theme_mod( 'perfect_blogging_button_border', false);
		if($perfect_blog_show_header == true){
			$perfect_blog_custom_css .='.read-comp a,#slider .inner_carousel .more-btn a{';
				$perfect_blog_custom_css .='border:2px solid; margin:10px 0;';
			$perfect_blog_custom_css .='}';
		}

	$perfect_blog_button_padding_top_bottom = get_theme_mod('perfect_blog_button_padding_top_bottom');
	$perfect_blog_button_padding_left_right = get_theme_mod('perfect_blog_button_padding_left_right');
	$perfect_blog_custom_css .='.read-comp a,#slider .inner_carousel .more-btn a{';
		$perfect_blog_custom_css .='padding-top: '.esc_attr($perfect_blog_button_padding_top_bottom).'px; padding-bottom: '.esc_attr($perfect_blog_button_padding_top_bottom).'px; padding-left: '.esc_attr($perfect_blog_button_padding_left_right).'px; padding-right: '.esc_attr($perfect_blog_button_padding_left_right).'px; display:inline-block;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_button_border_radius = get_theme_mod('perfect_blog_button_border_radius');
	$perfect_blog_custom_css .='.read-comp a,#slider .inner_carousel .more-btn a, #comments .form-submit input[type="submit"]{';
		$perfect_blog_custom_css .='border-radius: '.esc_attr($perfect_blog_button_border_radius).'px;';
	$perfect_blog_custom_css .='}';

	// site title and tagline font size option
	$perfect_blog_site_title_size_option = get_theme_mod('perfect_blog_site_title_size_option', 35);{
	$perfect_blog_custom_css .='#header .logo a{';
	$perfect_blog_custom_css .='font-size: '.esc_attr($perfect_blog_site_title_size_option).'px;';
		$perfect_blog_custom_css .='}';
	}

	$perfect_blog_site_tagline_size_option = get_theme_mod('perfect_blog_site_tagline_size_option', 13);{
	$perfect_blog_custom_css .='#header .logo p{';
	$perfect_blog_custom_css .='font-size: '.esc_attr($perfect_blog_site_tagline_size_option).'px;';
		$perfect_blog_custom_css .='}';
	}

	wp_add_inline_style( 'perfect-blogging-basic-style',$perfect_blog_custom_css );
}

function perfect_blogging_customize_register() {     
		global $wp_customize;
		$wp_customize->remove_section( 'perfect_blog_theme_color_option' );  //Modify this line as needed  
	} 
add_action( 'customize_register', 'perfect_blogging_customize_register', 11 );

// Customizer Section
function perfect_blogging_customizer ( $wp_customize ) {

	$wp_customize->add_section( 'perfect_blogging_category_post_section' , array(
    	'title'      => __( 'Single Category Post', 'perfect-blogging' ),
		'priority'   => null,
		'panel' => 'perfect_blog_panel_id'
	) );

	$categories = get_categories();
	$cats = array();
	$i = 0;
	$cat_post[]= 'select';
	foreach($categories as $category){
		if($i==0){
			$default = $category->slug;
			$i++;
		}
		$cat_post[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('perfect_blogging_category_post',array(
		'default'	=> 'select',
		'sanitize_callback' => 'perfect_blogging_sanitize_choices',
	));
	$wp_customize->add_control('perfect_blogging_category_post',array(
		'type'    => 'select',
		'choices' => $cat_post,
		'label' => __('Select Category to display post','perfect-blogging'),
		'section' => 'perfect_blogging_category_post_section',
	));

	//Show /Hide border
	$wp_customize->add_setting( 'perfect_blogging_button_border',array(
		'default' => '',
      	'sanitize_callback'	=> 'perfect_blog_sanitize_checkbox'
    ) );
    $wp_customize->add_control('perfect_blogging_button_border',array(
    	'type' => 'checkbox',
        'label' => __( 'Show / Hide Button Border','perfect-blogging' ),
        'section' => 'perfect_blog_theme_button'
    ));
}
add_action( 'customize_register', 'perfect_blogging_customizer' );


/*radio button sanitization*/
function perfect_blogging_sanitize_choices( $input, $setting ) {
    global $wp_customize; 
    $control = $wp_customize->get_control( $setting->id ); 
    if ( array_key_exists( $input, $control->choices ) ) {
        return $input;
    } else {
        return $setting->default;
    }
}
